package SampleDatabase;

/* SampleDatabase/Antiques_Table.java
 *
 * Copyright (c) 1999 Chris Studholme <chris.studholme@utoronto.ca>
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See COPYING for more information.
 */

/**
 * <p>See TableTemplate for information about this class.
 *
 * @author chris.studholme@utoronto.ca
 */

class Antiques_Table extends TableTemplate {

    public Antiques_Table() {
	name="Antiques";
	rows = new Antiques_Row[13];
	rows[0] =  new Antiques_Row("01","50","Bed",1900.00);
	rows[1] =  new Antiques_Row("02","15","Table",1400.00);
	rows[2] =  new Antiques_Row("15","02","Chair",500.00);
	rows[3] =  new Antiques_Row("21","50","Mirror",400.00);
	rows[4] =  new Antiques_Row("50","01","Desk",800.00);
	rows[5] =  new Antiques_Row("01","21","Cabinet",1800.00);
	rows[6] =  new Antiques_Row("02","21","Coffee Table",1100.00);
	rows[7] =  new Antiques_Row("15","50","Chair",500.00);
	rows[8] =  new Antiques_Row("01","15","Jewelry Box",100.00);
	rows[9] =  new Antiques_Row("02","21","Pottery",900.00);
	rows[10] = new Antiques_Row("21","02","Bookcase",1200.00);
	rows[11] = new Antiques_Row("50","01","Plant Stand",300.00);
	rows[12] = new Antiques_Row("21","01","Ottoman",200.00);
	fields = rows[0].getClass().getFields();
    }

};
